Package edu.msu.cme.rdp.classifier.comparison

# Class ComparisonResultTreeSet

java.lang.Object
java.util.AbstractCollection
java.util.AbstractSet
java.util.TreeSet
edu.msu.cme.rdp.classifier.comparison.ComparisonResultTreeSet

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable`, `Collection`, `NavigableSet`, `SequencedCollection`, `SequencedSet`, `Set`, `SortedSet`

public class ComparisonResultTreeSet extends TreeSet

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ComparisonResultTreeSet.ComparisonResultComparator`

## Constructor Summary

Constructors
Constructor
Description
`ComparisonResultTreeSet()`

## Method Summary

### Methods inherited from class java.util.TreeSet

`add, addAll, addFirst, addLast, ceiling, clear, clone, comparator, contains, descendingIterator, descendingSet, first, floor, headSet, headSet, higher, isEmpty, iterator, last, lower, pollFirst, pollLast, remove, size, spliterator, subSet, subSet, tailSet, tailSet`

### Methods inherited from class java.util.AbstractSet

`equals, hashCode, removeAll`

### Methods inherited from class java.util.AbstractCollection

`containsAll, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.NavigableSet

`removeFirst, removeLast, reversed`

### Methods inherited from interface java.util.Set

`containsAll, equals, hashCode, removeAll, retainAll, toArray, toArray`

### Methods inherited from interface java.util.SortedSet

`getFirst, getLast`

## Constructor Details

### ComparisonResultTreeSet

public ComparisonResultTreeSet()